"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerImplicit = exports.register = void 0;
const build_1 = require("../utils/build");
const validateAttributes_1 = __importDefault(require("../validators/validateAttributes"));
const replaceAttributes_1 = __importDefault(require("../validators/replaceAttributes"));
const general_1 = require("../utils/general");
function register(rule, validate, replaceMessage) {
    const method = (0, build_1.builValidationdMethodName)(rule);
    let validateAttribute = new validateAttributes_1.default();
    if (validateAttribute[`validate${method}`]) {
        return false;
    }
    validateAttributes_1.default.prototype[`validate${method}`] = validate;
    if (typeof replaceMessage === 'function') {
        replaceAttributes_1.default[`replace${method}`] =
            ({ message, parameters, data, getDisplayableAttribute }) => replaceMessage(message, parameters, data, getDisplayableAttribute);
    }
    return true;
}
exports.register = register;
;
function registerImplicit(rule, validate, replaceMessage) {
    if (register(rule, validate, replaceMessage) === true) {
        (0, general_1.addImplicitRule)(rule);
    }
}
exports.registerImplicit = registerImplicit;
;
