'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const baseRule_1 = __importDefault(require("./baseRule"));
class RequiredIf extends baseRule_1.default {
    /**
     * Create a new required validation rule based on a condition.
     */
    constructor(condition) {
        super();
        this.condition = condition;
    }
    /**
     * Convert the rule to a validation string.
     */
    toString() {
        if (typeof this.condition === 'function') {
            return this.condition() ? 'required' : '';
        }
        return this.condition ? 'required' : '';
    }
}
exports.default = RequiredIf;
