import { CustomAttributes, CustomMesages, InitialRules, InitialRule } from './types';
import Validator from './validator';
import ErrorBag from './validators/errorBag';
import RuleContract from './rules/ruleContract';
import ImplicitRuleContract from './rules/implicitRuleContract';
import { default as PasswordRule } from './rules/password';
declare class Rule extends RuleContract {
}
declare class ImplicitRule extends ImplicitRuleContract {
}
declare class Password extends PasswordRule {
}
declare function make(data?: object, rules?: InitialRules, customMessages?: CustomMesages, customAttributes?: CustomAttributes): Validator;
declare function setDefaultLang(lang: string): void;
declare function setFallbackLang(lang: string): void;
declare function setTranslationObject(translations: object): void;
export { Rule, ImplicitRule, InitialRules, InitialRule, Password, Validator, ErrorBag, make, setDefaultLang, setFallbackLang, setTranslationObject, };
export * from './rules/registerRule';
export * from './rule';
