'use strict';
import BaseRule from './baseRule';
class RequiredIf extends BaseRule {
    /**
     * Create a new required validation rule based on a condition.
     */
    constructor(condition) {
        super();
        this.condition = condition;
    }
    /**
     * Convert the rule to a validation string.
     */
    toString() {
        if (typeof this.condition === 'function') {
            return this.condition() ? 'required' : '';
        }
        return this.condition ? 'required' : '';
    }
}
export default RequiredIf;
